import { handleActions } from 'redux-seamless-reducers';

import { reducer as close } from './close';
import { reducer as open } from './open';

import defaultState from './defaultState';


const actions = {
    ...close,
    ...open
};

export default () => {
    return {
        lightbox: handleActions(actions, defaultState)
    };
};
